import { GridOptions } from '@ag-grid-community/core';
import { GridNext } from '@genesislcap/grid-next';
/**
 * @tagname %%prefix%%-grid-next
 */
export declare class ZeroGridNext extends GridNext {
    /**
     * Sets default theme to Rapid
     * @override
     */
    theme: string;
    themeChanged(oldValue: string, newValue: string): void;
    /**
     * Handles extra ZERO configs
     * @override
     */
    set gridOptions(options: GridOptions);
}
export declare const zeroGridNextShadowOptions: ShadowRootInit;
export declare const zeroDefaultGridNextConfig: {
    shadowOptions: any;
};
export declare const zeroGridNext: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    shadowOptions: any;
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    shadowOptions: any;
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<any, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
}, typeof ZeroGridNext>;
//# sourceMappingURL=grid-next.d.ts.map