import { mixinRobotoFont } from '@genesislcap/foundation-zero';
import { themeTokenMapCSS } from '@genesislcap/grid-next';
import { css } from '@microsoft/fast-element';
// import { gridThemeGenesisRapidTokens } from '../../style/tokens';
import { themeGenesisRapidCSS } from './theme-genesis-rapid-css';
export const themeGenesisRapidTokenMap = {
// [GridCSSVars.backgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.foregroundColor]: gridThemeGenesisRapidTokens.foregroundColor,
// [GridCSSVars.oddRowBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.headerBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.headerForegroundColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.selectedRowBackgroundColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.rowHoverColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.borderColor]: gridThemeGenesisRapidTokens.borderColor,
// [GridCSSVars.rowBorderColor]: gridThemeGenesisRapidTokens.rowHoverColor,
// [GridCSSVars.modalOverlayBackgroundColor]: gridThemeGenesisRapidTokens.backgroundColor,
// [GridCSSVars.inputFocusBoxShadow]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.inputFocusBorderColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
// [GridCSSVars.headerColumnResizeHandleColor]: gridThemeGenesisRapidTokens.headerForegroundColor,
};
export const themeGenesisRapidName = 'ag-theme-genesis-rapid';
export const themeGenesisRapid = css `
  ${themeGenesisRapidCSS}
  ${themeTokenMapCSS(themeGenesisRapidName, themeGenesisRapidTokenMap)}

  .${themeGenesisRapidName} {
    ${mixinRobotoFont()}
  }
`;
export const themeGenesisRapidDarkName = 'tabulator-theme-genesis-rapid-dark';
export const themeGenesisRapidDark = css `
  ${themeGenesisRapidCSS}
  ${themeTokenMapCSS(themeGenesisRapidDarkName, themeGenesisRapidTokenMap)}

  .${themeGenesisRapidDarkName} {
    ${mixinRobotoFont()}
  }

  .${themeGenesisRapidDarkName} .ag-header {
    border-bottom-color: var(--rapid-ag-header-foreground-color);
    font-weight: bold;
  }

  .${themeGenesisRapidDarkName} .ag-cell {
    line-height: var(--ag-line-height, 32px);
  }

  .${themeGenesisRapidDarkName} .ag-root-wrapper {
    border-radius: calc(var(--control-corner-radius) * 1px);
  }
`;
